import { Module } from '@nestjs/common'

import { HttpClientModule } from '@/shared/http-client/http-client.module'

import { AgentExecutionController } from './agent-execution.controller'
import { AgentExecutionHttpService } from './service/agent-execution-http.service'
import { AgentExecutionService } from './service/agent-execution.service'

@Module({
  imports: [HttpClientModule],
  controllers: [AgentExecutionController],
  providers: [AgentExecutionHttpService, AgentExecutionService]
})
export class AgentExecutionModule {}
